import 'dart:io';

import 'package:at_client/at_client.dart';

import 'test_util.dart';

void main() async {
  try {
    final atsign = '@sitaram';
    final preference = TestUtil.getGenericPreference();
    var atClientManager = await AtClientManager.getInstance()
        .setCurrentAtSign(atsign, 'wavi', preference);
    var notificationId = await atClientManager.notificationService.notify(
        NotificationParams.forText('hello', '@murali', shouldEncrypt: true));
    print(notificationId);
  } on Exception catch (e, trace) {
    print(e.toString());
    print(trace);
  }
  exit(1);
}
